Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree
Class JCommonInfo

    java.lang.Object
      org.jfree.base.Library
          org.jfree.base.BasicProjectInfo
              org.jfree.base.BootableProjectInfo
                  org.jfree.ui.about.ProjectInfo
                      org.jfree.JCommonInfo

    public class JCommonInfo

extends ProjectInfo

Information about the JCommon project. One instance of this class is assigned to JCommon.INFO.

Author:
  David Gilbert

Method Summary
`static JCommonInfo` | `getInstance()` Returns the single instance of this class.

Methods inherited from class org.jfree.ui.about.ProjectInfo
`getContributors, getLicenceText, getLogo, setContributors, setLicenceText, setLogo, toString`

Methods inherited from class org.jfree.base.BootableProjectInfo
`addDependency, getBootClass, getDependencies, isAutoBoot, setAutoBoot, setBootClass`

Methods inherited from class org.jfree.base.BasicProjectInfo
`addLibrary, addOptionalLibrary, addOptionalLibrary, getCopyright, getLibraries, getOptionalLibraries, setCopyright, setInfo, setLicenceName, setName, setVersion`

Methods inherited from class org.jfree.base.Library
`equals, getInfo, getLicenceName, getName, getVersion, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getInstance

    public static JCommonInfo getInstance()

  Returns the single instance of this class.

  Returns:
    The single instance of information about the JCommon library.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD